$(document).ready(function() {
	$('form :input').blur(function() {
		if ($(this).hasClass('required')) {
			if (this.value == '') {
				$(this).addClass('error');
				$(this).nextUntil('p#info')
					   .text('Toto pole je povinné!')
					   .css('color', 'red');
			}else{
				$(this).removeClass('error');
				$(this).nextUntil('p#info')
					   .text('O.K.')
					   .css('color', 'green');
			}

			if($('input#cpass1').val() != '') {
				if($('input#cpass1').val() != $('input#cpass2').val()) {
					$('input[id*="cpass"]').addClass('error');
					$('input[id*="cpass"]').nextUntil('p#info')
										   .text('Hesla se neshodují!')
										   .css('color', 'red');
				}else{
					$('input[id*="cpass"]').removeClass('error');
					$('input[id*="cpass"]').nextUntil('p#info')
										   .text('O.K.')
										   .css('color', 'green');
				}
			}
		}
	});
});